Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je.rep
Class InsufficientLogException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sleepycat.je.DatabaseException
                      com.sleepycat.je.RunRecoveryException
                          com.sleepycat.je.EnvironmentFailureException
                              com.sleepycat.je.rep.RestartRequiredException
                                  com.sleepycat.je.rep.InsufficientLogException

All Implemented Interfaces:
  Serializable

    public class InsufficientLogException

extends RestartRequiredException

This exception indicates that the log files constituting the Environment are insufficient and cannot be used as the basis for continuing with the replication stream provided by the current master.

This exception is typically thrown by the ReplicatedEnvironment constructor when a node has been down for a long period of time and is being started up again. It may also be thrown when a brand new node attempts to become a member of the group and it does not have a sufficiently current set of log files. If the group experiences sustained network connectivity problems, this exception may also be thrown by an active Replica that has been unable to stay in touch with the members of its group for an extended period of time.

In the typical case, application handles the exception by invoking `NetworkRestore.execute(com.sleepycat.je.rep.InsufficientLogException, com.sleepycat.je.rep.NetworkRestoreConfig)` to obtain the log files it needs from one of the members of the replication group. After the log files are obtained, the node recreates its environment handle and resumes participation as an active member of the group.

See Also:
  `NetworkRestore`, Serialized Form

Method Summary
`Set<ReplicationNode>` | `getLogProviders()` Returns the members of the replication group that can serve as candidate log providers to supply the logs needed by this node.

Methods inherited from class com.sleepycat.je.EnvironmentFailureException
`getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getLogProviders

    public Set<ReplicationNode> getLogProviders()

  Returns the members of the replication group that can serve as candidate log providers to supply the logs needed by this node.

  Returns:
    a list of members that can provide logs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.